Need help setting up development environment via ghcup

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Need help setting up development environment via ghcup

Sudaraka Wijesinghe
Hi,

I have successfully installed `ghc` (8.8.4), `cabal-install` (3.2.0.0) via
`ghcup` (0.1.8) and created/build and several example projects without any
issues. In one of the projects I want to create a binary distribution
tarball. For this I tried using `runhaskell Setup.hs copy` (configure before
that) at one of the steps, and got the following error.

```
Configuring my-project-0.1.0.0...
Setup.hs: Encountered missing or private dependencies:
optparse-applicative ==0.15.*
```

`optparse-applicative` is a dependency of my project and it was installed by
`cabal build`.

I figured out this is because `cabal-install` and `runhaskell` (or `ghc` or
`ghc-pkg`) used different package DBs.

- `cabal-install` -> ~/.cabal/store/ghc-8.8.4/
- `runhaskell` -> ~/.ghcup/ghc/8.8.4/lib/ghc-8.8.4/

Is there a was I can make both `cabal-install` and `runhaskell` use the same
package DB (or use both of them)?

[X-POST:
https://www.reddit.com/r/haskellquestions/comments/hydge5/need_help_setting_up_development_environment_via/]

_______________________________________________
Beginners mailing list
[hidden email]
http://mail.haskell.org/cgi-bin/mailman/listinfo/beginners

attachment0 (849 bytes) Download Attachment